Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-41487

pubsub-light v1.5

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Hi,
      i updated to Jenkins 2.42 and also then updated the plugins but one told me this error:

      There are dependency errors loading some plugins:
      Server Sent Events (SSE) Gateway Plugin v1.14
      pubsub-light v1.5 is missing. To fix, install v1.5 or later.

      but i could not find any pubsub-light plugin for jenkins. how this dependency error should be fixed?

      Thanks

        Attachments

          Activity

          Hide
          rtyler R. Tyler Croy added a comment -

          The SSE Gateway plugin declares a dependency on a plugin which doesn't exist. (pubsub-light).

          It's not clear to me where this plugin is supposed to be coming from but it definitely doesn't exist in our Update Center nor on GitHub

          Show
          rtyler R. Tyler Croy added a comment - The SSE Gateway plugin declares a dependency on a plugin which doesn't exist. (pubsub-light). It's not clear to me where this plugin is supposed to be coming from but it definitely doesn't exist in our Update Center nor on GitHub
          Hide
          danielbeck Daniel Beck added a comment -

          Oh, that's fun:

          https://github.com/jenkinsci/pubsub-light-module used to be a module until https://github.com/jenkins-infra/repository-permissions-updater/pull/198 (so repo needs to be renamed)

          Tom FENNELLY did you release a plugin with an unsatisfiable dependency?

          Show
          danielbeck Daniel Beck added a comment - Oh, that's fun: https://github.com/jenkinsci/pubsub-light-module used to be a module until https://github.com/jenkins-infra/repository-permissions-updater/pull/198 (so repo needs to be renamed) Tom FENNELLY did you release a plugin with an unsatisfiable dependency?
          Hide
          danielbeck Daniel Beck added a comment -

          Workaround would probably be to downgrade SSE Gateway plugin.

          Show
          danielbeck Daniel Beck added a comment - Workaround would probably be to downgrade SSE Gateway plugin.
          Hide
          stewartbryson Stewart Bryson added a comment -

          I'm getting this as well.

          There are dependency errors loading some plugins:
          Server Sent Events (SSE) Gateway Plugin v1.14
          pubsub-light v1.5 is missing. To fix, install v1.5 or later.
          Events API for Blue Ocean v1.0.0-b20-beta-1
          Server Sent Events (SSE) Gateway Plugin v1.14 failed to load. Fix this plugin first.
          Personalization for Blue Ocean v1.0.0-b20-beta-1
          Events API for Blue Ocean v1.0.0-b20-beta-1 failed to load. Fix this plugin first.
          Blue Ocean beta v1.0.0-b20-beta-1
          Dashboard for Blue Ocean v1.0.0-b20-beta-1 failed to load. Fix this plugin first.
          Dashboard for Blue Ocean v1.0.0-b20-beta-1
          Events API for Blue Ocean v1.0.0-b20-beta-1 failed to load. Fix this plugin first.
          

          Show
          stewartbryson Stewart Bryson added a comment - I'm getting this as well. There are dependency errors loading some plugins: Server Sent Events (SSE) Gateway Plugin v1.14 pubsub-light v1.5 is missing. To fix, install v1.5 or later. Events API for Blue Ocean v1.0.0-b20-beta-1 Server Sent Events (SSE) Gateway Plugin v1.14 failed to load. Fix this plugin first. Personalization for Blue Ocean v1.0.0-b20-beta-1 Events API for Blue Ocean v1.0.0-b20-beta-1 failed to load. Fix this plugin first. Blue Ocean beta v1.0.0-b20-beta-1 Dashboard for Blue Ocean v1.0.0-b20-beta-1 failed to load. Fix this plugin first. Dashboard for Blue Ocean v1.0.0-b20-beta-1 Events API for Blue Ocean v1.0.0-b20-beta-1 failed to load. Fix this plugin first.
          Hide
          stewartbryson Stewart Bryson added a comment -

          Daniel Beck I'm not sure how to implement the workaround exactly. SSE Gateway plugin does not show up in the "Installed" section, but instead in the "Available" section. I assume this is because there is an unsatisfied dependency.

          From the "Available" section, there is no way to choose anything but the current release.

          Show
          stewartbryson Stewart Bryson added a comment - Daniel Beck I'm not sure how to implement the workaround exactly. SSE Gateway plugin does not show up in the "Installed" section, but instead in the "Available" section. I assume this is because there is an unsatisfied dependency. From the "Available" section, there is no way to choose anything but the current release.
          Hide
          danielbeck Daniel Beck added a comment -

          Right. Issue description looked like a straightforward upgrade rather than new install of the plugin.

          Download SSE Gateway 1.13 from http://updates.jenkins-ci.org/download/plugins/sse-gateway/ and install via Advanced tab if you cannot wait for a fix of pubsub-light.

          Show
          danielbeck Daniel Beck added a comment - Right. Issue description looked like a straightforward upgrade rather than new install of the plugin. Download SSE Gateway 1.13 from http://updates.jenkins-ci.org/download/plugins/sse-gateway/ and install via Advanced tab if you cannot wait for a fix of pubsub-light.
          Hide
          tfennelly Tom FENNELLY added a comment -

          Sorry ... my fault ... I didn't set the <url> in the plugin pom, which prevented it from going to the UC. Sorting it out now.

          Show
          tfennelly Tom FENNELLY added a comment - Sorry ... my fault ... I didn't set the <url> in the plugin pom, which prevented it from going to the UC. Sorting it out now.
          Hide
          vivek Vivek Pandey added a comment -

          Hmm, 1.0.0-b20-beta-1 has dependency on 1.13 version of sse-gateway (which in turn depends on pubsub-light 1.4. Not sure, what's pulling in sse-gateway 1.14 dependency.

          Show
          vivek Vivek Pandey added a comment - Hmm, 1.0.0-b20-beta-1 has dependency on 1.13 version of sse-gateway (which in turn depends on pubsub-light 1.4. Not sure, what's pulling in sse-gateway 1.14 dependency.
          Hide
          tfennelly Tom FENNELLY added a comment -

          Vivek Pandey sse 1.13 depends on 1.4 which was a jenkins-module ... I'm after changing it to be regular plugin in 1.5 and updating sse 1.14 to depend on 1.5. Is an easy fix afaik ... will have it sorted soon I hope.

          Show
          tfennelly Tom FENNELLY added a comment - Vivek Pandey sse 1.13 depends on 1.4 which was a jenkins-module ... I'm after changing it to be regular plugin in 1.5 and updating sse 1.14 to depend on 1.5. Is an easy fix afaik ... will have it sorted soon I hope.
          Hide
          vivek Vivek Pandey added a comment -

          Tom FENNELLY gotcha, thanks.

          Show
          vivek Vivek Pandey added a comment - Tom FENNELLY gotcha, thanks.
          Show
          tfennelly Tom FENNELLY added a comment - PR: https://github.com/jenkinsci/blueocean-plugin/pull/753
          Hide
          tfennelly Tom FENNELLY added a comment -

          Should be fixed now once the latest releases of the sse and pubsub plugins hit the UC.

          Show
          tfennelly Tom FENNELLY added a comment - Should be fixed now once the latest releases of the sse and pubsub plugins hit the UC.
          Hide
          stewartbryson Stewart Bryson added a comment -

          Fixed. Thank you so much Tom FENNELLY.

          Show
          stewartbryson Stewart Bryson added a comment - Fixed. Thank you so much Tom FENNELLY .
          Hide
          tfennelly Tom FENNELLY added a comment -

          Stewart Bryson No problem. Sorry for the inconvenience and thanks for the patience.

          Show
          tfennelly Tom FENNELLY added a comment - Stewart Bryson No problem. Sorry for the inconvenience and thanks for the patience.
          Hide
          grevenx Even André Fiskvik added a comment -

          Still don't see it, should it be available now?
          https://wiki.jenkins-ci.org/display/JENKINS/PubSub+Light+Plugin

          Show
          grevenx Even André Fiskvik added a comment - Still don't see it, should it be available now? https://wiki.jenkins-ci.org/display/JENKINS/PubSub+Light+Plugin
          Hide
          stewartbryson Stewart Bryson added a comment -

          Even André Fiskvik You have to enable experimental plugin URL.

          Show
          stewartbryson Stewart Bryson added a comment - Even André Fiskvik You have to enable experimental plugin URL.

            People

            • Assignee:
              tfennelly Tom FENNELLY
              Reporter:
              czechdude Petr Divis
            • Votes:
              4 Vote for this issue
              Watchers:
              9 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: